import { FC } from "react";
import { IwithLabelProps } from "../../hoc";
export declare const Input: FC<import("react").InputHTMLAttributes<HTMLInputElement> & {
    label?: import("react").ReactNode;
    asChip?: boolean | undefined;
    help?: import("react").ReactNode;
    width?: string | undefined;
    height?: string | undefined;
    iconBefore?: import("react").ReactNode;
    iconAfter?: import("react").ReactNode;
    valuePrefix?: import("react").ReactNode;
    error?: boolean | undefined;
    innerRef?: RefType<HTMLInputElement>;
    success?: boolean | undefined;
    disableInputOnly?: boolean | undefined;
    onRemove?: VoidFunction | undefined;
    onKeyPress?: ((e: import("react").KeyboardEvent<HTMLInputElement>) => void) | undefined;
    onKeyDown?: ((e: import("react").KeyboardEvent<HTMLInputElement>) => void) | undefined;
    active?: boolean | undefined;
} & IwithLabelProps<HTMLInputElement>>;
